/*
 * @(#)SeqCEC.java
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 * RID-3 : 行番号 Cell Editor Component
 * @author  Intelligent Technology Inc.
 * @version 1.00 2002/04/26
 * @see iCellEditorComponent
 */
package	jp.co.nri.rid.table.editor;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * 行番号 Cell Editor Component
 */
public class SeqCEC extends JPanel implements iCellEditorComponent{
	private	Color	myFore;
	private	Color	myBack;
	private	JLabel	myLabel;
	
	/**
	 * @param	editable	編集可否。
	 * @param	listener	アクションリスナー。
	 * @since	1.00
	 */
	public SeqCEC(){
		setLayout(new BorderLayout());
		
		myLabel = new JLabel();
		add(myLabel	,BorderLayout.EAST);
		
		myFore = getForeground();
		myBack = getBackground();
		setBorder(null);
	}
	
	/**
	 * セル値(String)を取得する。
	 * @return	セル値。
	 * @since	1.00
	 */
	public String	text(){ return myLabel.getText(); }
	
	/*
	 * セル値を設定する。
	 * @param	text	セル値。
	 * @since	1.00
	 */
	public void	text(String text){ myLabel.setText(text); }
	
	/**
	 * エディタコンポーネントを取得する。
	 * @return	エディタコンポーネント。
	 * @since	1.00
	 */
	public JComponent	component(){		return this;		}
	
	/**
	 * 実装の都合上publicとなっているが、使用しないこと。
	 * @since	1.00
	 */
	 
	public void			focus(boolean hasFocus ,JTable table){
		if(hasFocus){
			setForeground(table.getSelectionForeground());
			setBackground(table.getSelectionBackground());
		}
		else{
//			setForeground(table.getForeground());
			setForeground(myFore);
			setBackground(myBack);
		}
	}
	
	/**
	 * 編集可否を設定する。
	 * @param	editable	true:編集可 false:編集不可。
	 * @since	1.00
	 */
    public void editable(boolean editable){}
}
